Opened 16 years ago

Closed 16 years ago

#1889 enhancement closed invalid (invalid)

twisted.web.microdom should be moved to twisted.python.microdom

Reported by: Stephen Thorne Owned by:
Priority: normal Milestone:
Component: web Keywords:
Cc: Branch:
Author:

Description

xml.dom.minidom is a problematic module, as it depends on pyexpat, which isn't available on platforms like pypy.

We should make twisted.web.microdom the de-facto xml parser in twisted and move it to twisted.python, in order to avoid an external dependancy on a c-library that may or may not exist.

Change History (3)

comment:1 Changed 16 years ago by jknight

nooooooooooooo

comment:2 Changed 16 years ago by Jean-Paul Calderone

Resolution: invalid
Status: newclosed

I'm with James. Use xml.dom.minidom. PyPy will have it eventually.

comment:3 Changed 11 years ago by <automation>

Owner: jknight deleted
Note: See TracTickets for help on using tickets.